%--------------------------------------------------------------------------
% function CstAsciiExport(par,num);
%
% Popis funkce:
% ------------
% Funkce je potrebna k vyexportovani dat z programu CST MWS Studia.
% Funkce k vyexportovani zavislosti S11,S12,...,Sxx na Frekvenci.
%
% Parametry:
% -------------
% par - pozadovany parametr napr. parametr 's'. Pismeno bude prevedeno vzdy
% na velke! Lze proto zadat male i velke!
% num - pro pouziti pri cteni parametru s. Slouzi k rozliseni 
%       cinitel odrazu....s11
%       prenos ...........s12,atd.
%
% Priklad pouziti funkce:
% ---------
% function CstAsciiExport('s',[1,1]);
%--------------------------------------------------------------------------
function CstAsciiExport(par,num)
global mws 
par = upper(par);
% Prime vykonani v programu CST
mws.invoke('SelectTreeItem',['1D Results\|',par,'| dB\S',num2str(num(1)),',',num2str(num(2)),'']);
Export = mws.invoke('ASCIIExport');
    Export.invoke('Reset');
    Export.invoke('FileName',['C:/cst_temp/ExportCst_',par,num2str(num(1)),num2str(num(2)),'.txt']);
    Export.invoke('Mode','FixedNumber');
    Export.invoke('StepX',1001);
    Export.invoke('StepY',1001);
    Export.invoke('Execute');

